/*
 * Copyright 2011 Hanson Robokind LLC.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.rwshop.swing.animation.table.motionpath;

import javax.swing.JTable;
import javax.swing.event.ListSelectionEvent;
import javax.swing.event.ListSelectionListener;
import org.robokind.api.animation.editor.MotionPathEditor;

/**
 *
 * @author Matthew Stevenson <www.robokind.org>
 */
public class MotionPathTableListener implements ListSelectionListener {
    MotionPathEditor myController;
    JTable myTable;

    MotionPathTableListener(JTable table) {
        myTable = table;
    }

    /**
     *
     * @param controller
     */
    public void setController(MotionPathEditor controller){
        myController = controller;
    }

    public void valueChanged(ListSelectionEvent e) {
        if(myController == null || myTable == null){
            return;
        }
        int i = myTable.getSelectedRow();
        myController.select(this, i, myController.getSharedHistory());
    }
}
